//
//  ViewController.m
//  SegueSample
//
//  Created by eien.support@gmail.com on 12/03/29.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"
#import "NextViewController.h"

@interface ViewController ()

@property (weak, nonatomic) IBOutlet UILabel *labelView;
@property (weak, nonatomic) IBOutlet UISlider *sliderView;

@end

@implementation ViewController
@synthesize labelView;
@synthesize sliderView;
@synthesize value = _value;

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setSliderView:nil];
    [self setLabelView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

-(void)viewWillAppear:(BOOL)animated
{
    self.sliderView.value = self.value;
    [self sliderValueDidChnaged:self.sliderView];
}


- (IBAction)sliderValueDidChnaged:(id)sender {
    self.value = (int)self.sliderView.value;
    NSString *aString = [NSString stringWithFormat:@"%d",self.value];
    self.labelView.text = aString;
}

-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ( [[segue identifier] isEqualToString:@"Push"] ) {
        NextViewController *nextViewController = [segue destinationViewController];
        nextViewController.value = self.value;
        nextViewController.delegate = (id<NextViewDelegate>)self;
    }
}

-(void)nextViewValueDidChanged:(int32_t)value
{
    self.sliderView.value = value;
    [self sliderValueDidChnaged:self.sliderView];
}

@end
